installing acronis agent on mandriva 2009

Discussion in 'Acronis True Image Product Line' started by hardis, Apr 8, 2009.

Thread Status:
Not open for further replies.
  1. hardis

    hardis Registered Member

    Joined:
    Apr 8, 2009
    Posts:
    2
    hi, i' ve got a problem when i try to install the acronis agent on a linux mandriva 2k9 i686.
    The installer need the snapapi modules.
    I 've read the READ.ME and try to compile this modules but i've got an error.
    I search in this forum and i found an solution with a newer version of snapapi.

    I see that we can obtain this newer version via pm.
    Can someone can help me?
    thank by advance.

    this is the log of the build and the /etc/issue
    Mandriva Linux release 2009.0 (Official) for i586
    Kernel 2.6.27-server-0.rc8.2mnb on a 4-processor i686 / \l

    dkms build -m snapapi26 -v 0.7.29
    >>Preparing kernel 2.6.27-server-0.rc8.2mnb for module build:
    >>(This is not compiling a kernel, just preparing kernel symbols)
    >>Storing current .config to be restored when complete
    >>using presented .config
    >>make oldconfig....
    >>make prepare....
    >>Building module:
    >>cleaning build area....
    >>make KERNELRELEASE=2.6.27-server-0.rc8.2mnb -C /lib/modules/2.6.27-server-0.rc8.2mnb/build SUBDIRS=/var/lib/dkms/snapapi26/0.7.29/build modules....(bad exit status: 2)
    >>Error! Bad return status for module build on kernel: 2.6.27-server-0.rc8.2mnb (i586)
    >>Consult the make.log in the build directory
    >>/var/lib/dkms/snapapi26/0.7.29/build/ for more information.

    and the /var/lib/dkms/snapapi26/0.7.29/build/make.log file:

    DKMS make.log for snapapi26-0.7.29 for kernel 2.6.27-server-0.rc8.2mnb (i586)
    mer. avril 8 11:02:22 CEST 2009
    make: entrant dans le répertoire « /usr/src/linux-2.6.27-0.rc8.2mnb »

    WARNING: Symbol version dump /usr/src/linux-2.6.27-0.rc8.2mnb/Module.symvers
    is missing; modules will have no dependencies and modversions.

    CC [M] /var/lib/dkms/snapapi26/0.7.29/build/snapapi26.o
    /var/lib/dkms/snapapi26/0.7.29/build/snapapi26.c:607:34: erreur: la macro « bio_io_error » a r eçu 2 arguments, mais elle n'en prend que 1
    /var/lib/dkms/snapapi26/0.7.29/build/snapapi26.c: In function ‘make_original_request’:
    /var/lib/dkms/snapapi26/0.7.29/build/snapapi26.c:607: erreur: ‘bio_io_error’ undeclared (first use in this function)
    /var/lib/dkms/snapapi26/0.7.29/build/snapapi26.c:607: erreur: (Each undeclared identifier is r eported only once
    /var/lib/dkms/snapapi26/0.7.29/build/snapapi26.c:607: erreur: for each function it appears in. )
    /var/lib/dkms/snapapi26/0.7.29/build/snapapi26.c: In function ‘submit_pending_request’:
    /var/lib/dkms/snapapi26/0.7.29/build/snapapi26.c:1193: attention : assignment from incompatibl e pointer type
    /var/lib/dkms/snapapi26/0.7.29/build/snapapi26.c: In function ‘sa_cache_block’:
    /var/lib/dkms/snapapi26/0.7.29/build/snapapi26.c:1289: attention : assignment from incompatibl e pointer type
    /var/lib/dkms/snapapi26/0.7.29/build/snapapi26.c: In function ‘snapapi_make_request’:
    /var/lib/dkms/snapapi26/0.7.29/build/snapapi26.c:1528: erreur: too many arguments to function ‘bio_endio’
    /var/lib/dkms/snapapi26/0.7.29/build/snapapi26.c: In function ‘session_devinfo’:
    /var/lib/dkms/snapapi26/0.7.29/build/snapapi26.c:1870: erreur: ‘struct hd_struct’ has no membe r named ‘ios’
    /var/lib/dkms/snapapi26/0.7.29/build/snapapi26.c:1871: erreur: ‘struct hd_struct’ has no membe r named ‘sectors’
    /var/lib/dkms/snapapi26/0.7.29/build/snapapi26.c:1872: erreur: ‘struct hd_struct’ has no membe r named ‘ios’
    /var/lib/dkms/snapapi26/0.7.29/build/snapapi26.c:1873: erreur: ‘struct hd_struct’ has no membe r named ‘sectors’
    /var/lib/dkms/snapapi26/0.7.29/build/snapapi26.c: In function ‘bread_submit_bios’:
    /var/lib/dkms/snapapi26/0.7.29/build/snapapi26.c:2034: attention : assignment from incompatibl e pointer type
    /var/lib/dkms/snapapi26/0.7.29/build/snapapi26.c: In function ‘snapapi_vm_nopage’:
    /var/lib/dkms/snapapi26/0.7.29/build/snapapi26.c:2981: erreur: ‘NOPAGE_SIGBUS’ undeclared (fir st use in this function)
    /var/lib/dkms/snapapi26/0.7.29/build/snapapi26.c: Hors de toute fonction :
    /var/lib/dkms/snapapi26/0.7.29/build/snapapi26.c:3222: erreur: unknown field ‘nopage’ specifie d in initializer
    /var/lib/dkms/snapapi26/0.7.29/build/snapapi26.c:3222: attention : initialization from incompa tible pointer type
    /var/lib/dkms/snapapi26/0.7.29/build/snapapi26.c: In function ‘snapapi_init’:
    /var/lib/dkms/snapapi26/0.7.29/build/snapapi26.c:3294: erreur: implicit declaration of functio n ‘find_task_by_pid’
    /var/lib/dkms/snapapi26/0.7.29/build/snapapi26.c:3294: attention : assignment makes pointer fr om integer without a cast
    make[1]: *** [/var/lib/dkms/snapapi26/0.7.29/build/snapapi26.o] Erreur 1
    make: *** [_module_/var/lib/dkms/snapapi26/0.7.29/build] Erreur 2
    make: quittant le répertoire « /usr/src/linux-2.6.27-0.rc8.2mnb »
     
  2. hardis

    hardis Registered Member

    Joined:
    Apr 8, 2009
    Posts:
    2
  3. Acronis Support

    Acronis Support Acronis Support Staff

    Joined:
    Apr 28, 2004
    Posts:
    25,885
    Hello hardis,

    Thank you for your interesting in Acronis True Image

    I have sent you requested files with instructions via PM.

    Best regards,
    --
    Dmitry Nikolaev
     
  4. WalldoH

    WalldoH Registered Member

    Joined:
    Apr 17, 2009
    Posts:
    2
    Hi,

    While installing the german Trial Version of TrueImageServerEcho for Linux I got an registrationserver access error. Then I found some information about a different software to be sent via PM.

    I downloaded the int. version and tried to install. Looks better, but....
    now I get the snapapi error. compilation fails.
    Maybe it's a problem of my OS SLES10.2 64Bit ?

    Can someone help ?

    Thanks in advance
    Horst
     
  5. Acronis Support

    Acronis Support Acronis Support Staff

    Joined:
    Apr 28, 2004
    Posts:
    25,885
    Horst

    Thank you for using Acronis Corporate Products

    Please download the updated SnapAPI module and recompile it.The appropriate article is available in our Knowledge base here

    Thank you.

    --
    Oleg Lee
     
Thread Status:
Not open for further replies.